Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.beans
Class PropertyAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.beans.BeansException
                          org.springframework.beans.PropertyAccessException

All Implemented Interfaces:
  java.io.Serializable, ErrorCoded

Direct Known Subclasses:
  MethodInvocationException, TypeMismatchException

    public abstract class PropertyAccessException

extends BeansException
implements ErrorCoded

Superclass for exceptions related to a property access, such as type mismatch or invocation target exception.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  Serialized Form

Constructor Summary
`PropertyAccessException(java.beans.PropertyChangeEvent propertyChangeEvent, java.lang.String msg, java.lang.Throwable cause)` Create a new PropertyAccessException.
`PropertyAccessException(java.lang.String msg, java.lang.Throwable cause)` Create a new PropertyAccessException without PropertyChangeEvent.

Method Summary
`java.beans.PropertyChangeEvent` | `getPropertyChangeEvent()` Return the PropertyChangeEvent that resulted in the problem.
`java.lang.String` | `getPropertyName()` Return the name of the affected property, if available.
`java.lang.Object` | `getValue()` Return the affected value that was about to be set, if any.

Methods inherited from class org.springframework.beans.BeansException
`equals, hashCode`

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.springframework.core.ErrorCoded
`getErrorCode`

Constructor Detail

### PropertyAccessException

    public PropertyAccessException(java.beans.PropertyChangeEvent propertyChangeEvent,
                                   java.lang.String msg,
                                   java.lang.Throwable cause)

  Create a new PropertyAccessException.

  Parameters:
    `propertyChangeEvent` - the PropertyChangeEvent that resulted in the problem
    `msg` - the detail message
    `cause` - the root cause

### PropertyAccessException

    public PropertyAccessException(java.lang.String msg,
                                   java.lang.Throwable cause)

  Create a new PropertyAccessException without PropertyChangeEvent.

  Parameters:
    `msg` - the detail message
    `cause` - the root cause

Method Detail

### getPropertyChangeEvent

    public java.beans.PropertyChangeEvent getPropertyChangeEvent()

  Return the PropertyChangeEvent that resulted in the problem.

  May be `null`; only available if an actual bean property was affected.

### getPropertyName

    public java.lang.String getPropertyName()

  Return the name of the affected property, if available.

### getValue

    public java.lang.Object getValue()

  Return the affected value that was about to be set, if any.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD